# Breaking Change Definition

Breaking changes in Azure Data Lake Store Filesystem SDK for Python are defined as follows:

## Classes

- The class is removed
- The class is renamed
- The class no longer extends another class

## Properties of a class

- A property is removed
- A property is renamed
- A property has its type changed

## Methods of a class
- Methods should not be removed
- Methods should not be renamed
- Methods should not have their return type changed

## Parameters of methods in a class
- Parameters should not be removed
- Parameters should not have their type changed
- Parameters should preserve their ordering, including when a parameter is added
- Parameters should keep their default value, if they are assigned one
